Bug 448356 - Slow NFS recovy after wakeup
Summary: Slow NFS recovy after wakeup
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 9
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-05-26 07:46 UTC by Enrico Scholz
Modified: 2009-07-14 15:48 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-07-14 15:48:25 UTC


Attachments (Terms of Use)

Description Enrico Scholz 2008-05-26 07:46:36 UTC
Description of problem:

When waking up from suspend-to-ram mode (being suspended for several
hours), it needs a very long time until mounted NFS directories are
available again:


| May 24 09:55:03 sheridan hcid[2807]: Device hci0 has been activated
| May 24 09:58:00 sheridan kernel: nfs: server londo not responding, still trying
| May 24 10:00:01 sheridan kernel: nfs: server londo OK
| ...
| May 26 08:00:39 sheridan hcid[2848]: Device hci0 has been activated
| May 26 08:01:37 sheridan kernel: nfs: server londo not responding, still trying
| May 26 08:03:50 sheridan kernel: nfs: server londo OK

First entry is from a

| londo:/var/lib/nfs/root/home    /home     nfs     nosuid,nodev

latter one from a

| londo:/var/lib/nfs/root/home    /home     nfs     nosuid,nodev,timeo=100,retry=1

fstab line resulting into a

| londo:/var/lib/nfs/root/home /home nfs
rw,nosuid,nodev,relatime,vers=3,rsize=131072,wsize=131072,hard,proto=tcp,timeo=100,retrans=2,sec=sys,addr=192.168.46.6
0 0

mtab record.


'londo' is a 2.6.22 based NFS server running F-8 userspace.


With F-8 kernel, things were fine (/home was available after wakup
immediately) and I never got this 'not responding' messages.



Version-Release number of selected component (if applicable):

kernel-2.6.25.3-18.fc9.x86_64



How reproducible:

100%

Comment 1 Andreia Pio da Silva 2008-09-19 14:12:43 UTC
I had the same problem with NFS client (Fedora 9).

NFS server: FreeBSD 6.2-RELEASE

NFS client: Fedora 9 - 2.6.26.3-29.fc9.i686

Using NFS without lock works well. But we need to use the NFS lock.

Tried by bugs related lock of NFS and found:
1) bugs in the kernel
2) bugs in nfs-utils
3) bugs in tcp_wrappers (patch NIS/netgroup)

The solution was:

1) Update the kernel to the latest version (2.6.26.3-29.fc9)

2) Build and install the rpm of nfs-utils-1.1.3 from the src fedora 10 (nfs-utils-1.1.3-4.fc10.src.rpm) in the fedora 9.

3) Build and install the rpm of tcp_wrappers-7.6-53 from the src fedora 10 (tcp_wrappers-7.6-53.fc10.src.rpm) in the fedora 9.

With the steps above the lock of NFS is stable.

Andreia Pio da Silva
CCJDR-IFGW-UNICAMP

Comment 2 Andreia Pio da Silva 2009-06-08 12:10:11 UTC
Another solution is for Fedora 9 is specified in the automounter map (/etc/auto.ind.home):

-nfsvers=3,proto=udp

	
At the 9:04 version of Ubuntu ( 2.6.28-11-generic) problem no longer occurs.

Andreia Pio da Silva
CCJDR-IFGW-UNICAMP

Comment 3 Bug Zapper 2009-06-10 01:11:34 UTC
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 4 Bug Zapper 2009-07-14 15:48:25 UTC
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.